news

Allows your to scrape the results from Google News Search Engine via our ScrapeIN service.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Endpoint: The /google/news/ API endpoint allows you to GET the results of your Google News query.
Authentication: API-KEY. Use your API-KEY for authentication.
Output format: html, json, csv

Results: Click "200" at the bottom of the page in the Responses block to see the JSON structure of a successful response. See more about the results here.

Support

If you have any questions about authentication or API usage, please contact our support team at [email protected].

Query Params
string
required
Defaults to Trump

Used to define the search query you want to perform. You can use any keyword or phrase that you would use in a regular Google search. For example, you can use the inurl: parameter to search for pages with a specific URL in them, the site: parameter to search within a particular website, or the intitle: parameter to search for pages with a specific title.

string

The location parameter specifies the geographic location where the search query is performed. You can input any location as free-text, but if you select one of ScrapeIN's predefined locations, the google_domain, gl and and hl parameters will be automatically adjusted to match the country, language, and domain of the selected location. Please note that this automatic behavior can be turned off using the location_auto parameter.

string
enum
Defaults to json

The output parameter helps you get the data you want in an organized way, which is easy to work with. By default, you get the data in a structured JSON format. You can also get the actual content of the webpage in an organized HTML format by using html. Or you can choose to get the data in a CSV format by setting the parameter to csv.

Allowed:
string

This parameter allows you to specify whether you want to receive only raw data from the Google SERP API. When set to true, the request will be processed exclusively for raw data through the raw data balance when the balance is positive. If these conditions are not met, the request will not be processed for raw data.

string
enum
Defaults to 10

Determines the number of results to show per page, used in combination with the page parameter for pagination. Maximum number of news results per request is 100.

Allowed:
boolean

The location_auto parameter is used to control whether the google_domain, gl and hl parameters are automatically updated when using a predefined location from the Location API. The default value is true, which enables this behavior, while false disables it.

string

The uule parameter is a customizable parameter that can be passed through to Google. When using the location parameter, ScrapeIN generates the uule parameter automatically. However, you can directly specify a uule to overwrite the automatically generated one.

string
enum
Defaults to google.com

Specifies the domain of Google to execute the search query on. A complete list of supported values for the google_domain parameter can be viewed here. The default value is google.com.

string
enum
Defaults to us

The gl parameter is used to specify the Google country to be used in the search query. Check out the list of supported values for gl here. The default value for gl is set to us.

string
enum
Defaults to en

The hl parameter is responsible for determining the Google user interface language for the returned results. Check out the list of supported values for hl here. The default value for hl is set to en.

string
enum

The lr parameter is used to limit the search results to websites that contain a specific language. You can find the full list of supported lr values here.

string
enum

The cr parameter tells Google to restrict the results to websites in the specified country. Check out the list of supported cr values here.

string
enum

The parameter time_period is used to determine the time period for the results displayed. It can be set to predefined values such as last_hour, last_day (for the last 24 hours), last_week (for the last 7 days), last_month, last_year, or custom. When using custom, the parameters time_period_min and/or time_period_max must also be specified to define the custom time period.

Allowed:
date

The time_period_min parameter determines the minimum (i.e., 'from') time to use when time_period is set to custom. It should be in the format of MM/DD/YYYY, for example, for December 31, 2022, time_period_min=12/31/2022.

date

The time_period_max parameter determines the maximum (i.e., 'to') time to use when time_period is set to custom. It should also be in the format of MM/DD/YYYY, for example, for December 31, 2022, time_period_max=12/31/2022.

string
enum

Determines whether to exclude auto-corrected results (set to 1) or include them (set to 0, default).

Allowed:
string
enum

Determines if "Safe Search" is enabled (set to active) or disabled (set to off, default).

Allowed:
string
enum

Determines if the filters for "Similar Results" and "Omitted Results" are enabled (set to 1, default) or disabled (set to 0).

Allowed:
string
enum

Determines how results are sorted, valid values are relevance or date. When sort_by is set to date, the show_duplicates parameter can be used.

Allowed:
boolean

Determines whether duplicates are shown in the news results. Must be used with the sort_by parameter when set to date. Valid values are true or false, default is false.

boolean

Determines whether News Results are excluded when Google modifies the original query. Set to true to exclude or false (default) to include News Results when Google modifies the original query.

int32

Determines the page of results to return (default is 1), used with the num parameter for pagination.

int32

Used to get multiple pages of results in one request, the API will paginate through pages automatically and concatenate the results into one response. See the Pagination for more information.

string

Allows you to specify the JSON field names you want to include in the response JSON object as a comma-separated list. You can use dot notation to specify the field names - for instance, setting include_fields=pagination will only include the pagination property in the JSON response. The include_fields parameter is useful when you only want certain fields to be included in the JSON response returned by the API.

string

Used to exclude certain fields from the JSON object returned by the API. You can specify the names of the fields to be excluded in dot notation as a comma-separated list. For example, exclude_fields=pagination would remove the pagination property from the response JSON. If there are particular fields you don't want to be included in the API's JSON response, use exclude_fields.

boolean

Specifies if the response should include raw HTML, which may increase its size. The option to include HTML can be true or false (the default), with the latter being the default.

string
enum

This parameter allows you to control the API's behavior when it encounters a parsing incident. You can choose to have the API skip serving the request entirely when a degraded or major parsing incident is detected (value: all), or only skip the request when a "major" parsing incident is detected (value: major_only). If your system is making unsupervised requests to the API, using skip_on_incident can be a useful way to handle incidents gracefully.

Allowed:
boolean

This parameter instructs the API to exclude Base64 images from the response. When SERP pages contain Base64-encoded images, including them in the response can significantly increase its size. Therefore, excluding these images can be beneficial in reducing the response size.

string
string

Sets a specific string to be added to the Google tbs parameter in the underlying query. Normally generated automatically by the API, but can be set explicitly as well.

Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json